$('[name="check[]"]').click(function () {

    var arr = $('[name="check[]"]:checked').map(function () {
        return this.value;
    }).get();
    var str = arr.join(',');

    $('#idsProduc').val(str);

    $.ajax({
        type: "POST",
        url: "listarTablaProcedimientos.php",
        data: 'ids=' + str,
        dataType: "html",
        beforeSend: function () {
            $("#DivProductos").html('<div class="alert alert-primary alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">*</button><h4><i class="icon fa fa-check"></i> Espere por favor!!!...</h4>Enviando información....</div>');
        },
        success: function (msj) {
            if (msj != 1) {
                $('#DivProductos').html(msj);
            } else {
                $("#DivProductos").html('<div class="alert alert-danger alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><h4><i class="icon fa fa-ban"></i> Upsss!!!...</h4> No se encontraron productos relacionados a la atención elegida.</div>');
            }
            $('#timer').fadeOut(300);
        },
        error: function () {
            $("#DivProductos").html('<div class="alert alert-danger alert-dismissable""><i class="fa fa-ban"></i><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><b>Alerta!</b> Ha ocurrido un error durante la ejecución.</div>');
        }
    });

});

$('#BtnAsignar').click(function () {
    if($('#idsProduc').val() == "") {				
		$('#alerta').html('<div class="alert alert-danger alert-dismissable""><i class="fa fa-ban"></i><button type="button" class="close" data-dismiss="alert" aria-hidden="true">��</button><b>Alerta!</b>Por favor seleccione m��nimo un procedimiento.</div>');
		return false;
	}
    if($('#idsProduc').val() != "" && $('#nAuth').val() != "" && $('#fechaAuth').val() != ""){
        var procedimientos = $('#idsProduc').val();
		var nAuth 		   = $('#nAuth').val();
		var correo 		   = $('#correo').val();
		var fechaAuth 	   = $('#fechaAuth').val();
		var hospital 	   = $('#hospital').val();
		var hospitalN 	   = $('#hospital option:selected').html();
		var idCita 		   = $('#idC').val();
		var idEsp 		   = $('#idE').val();
        $.ajax({
            type: "POST",
            url: "insert_asignacion.php",
            data: 'proc=' + procedimientos + '&nAuth=' + nAuth + '&fechaAuth=' + fechaAuth + '&hospital=' + hospital + '&idCita=' + idCita + '&idEsp=' + idEsp + '&hospitalN=' + hospitalN + '&correo=' + correo,
            dataType: "html",
            beforeSend: function () {
                $("#alerta").html('<div class="alert alert-primary alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">*</button><h4><i class="icon fa fa-check"></i> Espere por favor!!!...</h4>Enviando información....</div>');
            },
            success: function (msj) {
                if (msj == 1) {
                    $('#alerta').html('<div class="alert alert-success alert-dismissable""><i class="fa fa-ban"></i><button type="button" class="close" data-dismiss="alert" aria-hidden="true">/button><b>Alerta!</b>La cita se asignó correctamente.</div>');
                    setTimeout(function(){
						window.location.href = "ver_citas.php";
					},(800));
                } else {
                    $("#alerta").html('<div class="alert alert-danger alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><h4><i class="icon fa fa-ban"></i> Upsss!!!...</h4> No se logró asignar la cita ' + msj + '.</div>');
                }
                $('#timer').fadeOut(300);
            },
            error: function () {
                $("#alerta").html('<div class="alert alert-danger alert-dismissable""><i class="fa fa-ban"></i><button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button><b>Alerta!</b> Ha ocurrido un error durante la ejecución.</div>');
            }
        });
    }

});


$( "#fechaAuth" )
  .focusout(function() {
    var regex = /\s/gi;
    var value = $("#fechaAuth").val();
    var data = moment(value.split(regex,3).join('/'));
    var hoy = new Date();
    var fecha = moment(hoy.getFullYear() + "/" + (hoy.getMonth() + 1) + "/" + hoy.getDate());
    $("#dVig").val(data.diff(fecha, 'days'));
  })
  .blur(function() {
    var regex = /\s/gi;
    var value = $("#fechaAuth").val();
    var data = moment(value.split(regex,3).join('/'));
    var hoy = new Date();
    var fecha = moment(hoy.getFullYear() + "-" + (hoy.getMonth() + 1) + "-" + hoy.getDate());
    $("#dVig").val(data.diff(fecha, 'days'));
});
